Bug 253163 - Review Request: sazanami-fonts - Sazanami Japanese TrueType fonts
Review Request: sazanami-fonts - Sazanami Japanese TrueType fonts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 253149
  Show dependency treegraph
 
Reported: 2007-08-17 04:49 EDT by Akira TAGOH
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 01:57:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora_requires_release_note+
petersen: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)
sazanami-fonts.spec-1.patch (1.52 KB, patch)
2007-08-23 04:16 EDT, Jens Petersen
no flags Details | Diff
sazanami-fonts.spec-2.patch (1.35 KB, patch)
2007-08-24 03:22 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Akira TAGOH 2007-08-17 04:49:37 EDT
Spec URL: http://tagoh.fedorapeople.org/sazanami-fonts/sazanami-fonts.spec
SRPM URL: http://tagoh.fedorapeople.org/sazanami-fonts/sazanami-fonts-0.20040629-1.20061016.fc8.src.rpm
Description: This package contains Japanese TrueType fonts.

Sazanami type faces are automatically generated from Wadalab font kit.
These also contains some bitmap fonts except naga10, 10pt bitmap font.
which the original fonts contains. it was removed for the license issue.
Comment 1 Akira TAGOH 2007-08-22 23:21:27 EDT
hmm, I was confused. here is the *correct* description:

Spec URL: http://tagoh.fedorapeople.org/sazanami-fonts/sazanami-fonts.spec
SRPM URL:
http://tagoh.fedorapeople.org/sazanami-fonts/sazanami-fonts-0.20040629-2.20061016.fc8.src.rpm
Description: This package contains Japanese TrueType fonts.

Sazanami type faces are automatically generated from Wadalab font kit.
These also contains some Japanese bitmap fonts
Comment 2 Jens Petersen 2007-08-23 03:09:57 EDT
Thanks.

Just a few initial comments/questions:

It would probably be good to add a comment explaining how and why
the tarball was rolled with a reference to bug 196433.

Eventually it would be nice if it could be built from source.

I wonder if it would be useful at all or make sense to consider subpackaging
the gothic and mincho fonts?  (Anyway that could also easily be done later
if it is useful since they are in the same tarball anyway.)

rpmlint on the binary package gives:

W: sazanami-fonts symlink-should-be-relative /etc/X11/fontpath.d/sazanami-fonts
/usr/share/fonts/sazanami-fonts
Comment 3 Jens Petersen 2007-08-23 04:05:46 EDT
For reference the sazanami fonts are currently part of the fonts-japanese
package in Fedora, so this not new content for Fedora per se, but will
allow those fonts to be housed in their own package.

Here is the review:

Good
- package follows upstream project name
- spec filename matches package name
- meets Packaging Guidelines
- upstream license is BSD and included
- spec file is well written
- source tarball is identical to the current one included in fonts-japanese
b312f77829011547b19fc16956dc6f12  sazanami-20061016.tar.bz2
(which fixes a bug in the last upstream release - see above bug)
- noarch package and builds correctly
- lists build dependencies
- rest of filelist looks good (see below)
- permissions correct
- has %clean
- consistent macro usage
- tarball contains two free truetype fonts which is acceptable content
- filenames are all ascii

Needs attention:
- rpmlint output is above (might be better to use a relative symlink)
- good to add a reference to bug 196433
- the package should require the new fonts-japanese package rather
than conflict with the old one
(see http://fedoraproject.org/wiki/Packaging/Conflicts)
- it should not own %{catalogue}/ since this is now owned by filesystem

Suggestions:
- might be nice to have a summary and description in ja too
Comment 4 Jens Petersen 2007-08-23 04:13:54 EDT
(In reply to comment #3)
> - the package should require the new fonts-japanese package rather
> than conflict with the old one
> (see http://fedoraproject.org/wiki/Packaging/Conflicts)

Erm, no, that is not desirable in practice since we don't want
the new package to depend on fonts-japanese.  Anyway I could not
install the current package in my test machine.

I think the Conflicts and Provides conflict.
Comment 5 Jens Petersen 2007-08-23 04:16:02 EDT
Created attachment 168003 [details]
sazanami-fonts.spec-1.patch

A few suggested fixes and minor tweaks.
Comment 6 Akira TAGOH 2007-08-23 05:52:26 EDT
(In reply to comment #2)
> Thanks.
> 
> Just a few initial comments/questions:
> 
> It would probably be good to add a comment explaining how and why
> the tarball was rolled with a reference to bug 196433.
> 
> Eventually it would be nice if it could be built from source.

Well, upstream only puts the binary, ttf files. the source code (almost is a
common lisp code) is only available on CVS though, it quite depends on the env
it seems and isn't supposed to be built usually by users.

> I wonder if it would be useful at all or make sense to consider subpackaging
> the gothic and mincho fonts?  (Anyway that could also easily be done later
> if it is useful since they are in the same tarball anyway.)

It could be. I'm not sure how much it's useful. but yeah I can.

> rpmlint on the binary package gives:
> 
> W: sazanami-fonts symlink-should-be-relative /etc/X11/fontpath.d/sazanami-fonts
> /usr/share/fonts/sazanami-fonts

Hmm, I'm not sure about it. there were some discussions but I don't see any
conclusions at the mailing list that started Threads from:
https://www.redhat.com/archives/fedora-maintainers/2007-July/msg00444.html
https://www.redhat.com/archives/fedora-maintainers/2007-August/msg00096.html

nor any updates at the wiki:
http://fedoraproject.org/wiki/Releases/FeatureNoMoreXFS
Comment 7 Akira TAGOH 2007-08-23 06:27:04 EDT
Ok, here is a take 3. now gothic and mincho are packaged separately.

Spec URL: http://tagoh.fedorapeople.org/sazanami-fonts/sazanami-fonts.spec
SRPM URL:
http://tagoh.fedorapeople.org/sazanami-fonts/sazanami-fonts-0.20040629-3.20061016.fc8.src.rpm
Comment 8 Jens Petersen 2007-08-24 03:12:09 EDT
Thanks for the update.

(In reply to comment #6)
> > I wonder if it would be useful at all or make sense to consider subpackaging
> > the gothic and mincho fonts?  (Anyway that could also easily be done later
> > if it is useful since they are in the same tarball anyway.)
> 
> It could be. I'm not sure how much it's useful. but yeah I can.

Okay, thanks, looks good to me. :)
Some basic users of Japanese may just be happy with gothic.

> > W: sazanami-fonts symlink-should-be-relative /etc/X11/fontpath.d/sazanami-fonts
> > /usr/share/fonts/sazanami-fonts
> 
> Hmm, I'm not sure about it. there were some discussions but I don't see any
> conclusions at the mailing list that started Threads from:
> https://www.redhat.com/archives/fedora-maintainers/2007-July/msg00444.html
> https://www.redhat.com/archives/fedora-maintainers/2007-August/msg00096.html

Thanks for digging out the thread. :)

Anyway it is not a blocker anyway.  I got the impression the preference
was for relsymlinks for better behaviour in a chroot tree but for fonts
maybe it is not such a big issue.

> nor any updates at the wiki:
> http://fedoraproject.org/wiki/Releases/FeatureNoMoreXFS

I agree this should be updated first.
Comment 9 Jens Petersen 2007-08-24 03:22:11 EDT
Created attachment 172397 [details]
sazanami-fonts.spec-2.patch

I do know if we still need to provide fonts-ja, specially now that the
fonts are split?
Comment 10 Jens Petersen 2007-08-24 03:45:37 EDT
Overall the package satisfies all MUST requirements.

You may still want to consider the provides and symlink.

Package is APPROVED.
Comment 11 Kevin Fenzi 2007-08-24 11:46:53 EDT
Please provide a CVS template so we know what you want here for cvs... 

See: 
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure

Reset fedora-cvs flag when you are ready. 
Comment 12 Jens Petersen 2007-08-26 22:50:58 EDT
Since Tagoh-san is away right now - I went ahead and added the package to the db.
Comment 13 Jens Petersen 2007-08-26 22:52:51 EDT
Tagoh-san, should the CID files from fonts-japanese be moved to this package
or is it better to keep them in fonts-japanese?
Comment 14 Jens Petersen 2007-08-27 00:11:38 EDT
I built sazanami-fonts-0.20040629-3.20061016.fc8 on behalf of tagoh
so that it can be included in f8t2.
Comment 15 Jens Petersen 2007-08-27 04:22:59 EDT
I added a relnotes about the new package in the I18n docs beat.
Comment 16 Akira TAGOH 2007-08-29 01:57:26 EDT
Thanks for fixing. closing now.

Note You need to log in before you can comment on or make changes to this bug.